<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%theme_files}}".
 *
 * @property integer $id
 * @property integer $theme_code
 * @property integer $file_code
 * @property string $base_url
 * @property string $base_path
 * @property integer $created_at
 * @property integer $updated_at
 *
 * @property CategoryFiles $fileCode
 * @property Theme $themeCode
 */
class ThemeFiles extends \yii\db\ActiveRecord
{
    
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%theme_files}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['theme_code', 'file_code'], 'required'],
            [['theme_code', 'file_code', 'created_at', 'updated_at'], 'integer'],
            [['base_url', 'base_path'], 'string', 'max' => 1024],
            [['file_code'], 'exist', 'skipOnError' => true, 'targetClass' => CategoryFiles::className(), 'targetAttribute' => ['file_code' => 'id']],
            [['theme_code'], 'exist', 'skipOnError' => true, 'targetClass' => Theme::className(), 'targetAttribute' => ['theme_code' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => Yii::t('common', 'ID'),
            'theme_code' => Yii::t('common', 'Theme Code'),
            'file_code' => Yii::t('common', 'File Code'),
            'base_url' => Yii::t('common', 'Base Url'),
            'base_path' => Yii::t('common', 'Base Path'),
            'created_at' => Yii::t('common', 'Created At'),
            'updated_at' => Yii::t('common', 'Updated At'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getFileCode()
    {
        return $this->hasOne(CategoryFiles::className(), ['id' => 'file_code']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getThemeCode()
    {
        return $this->hasOne(Theme::className(), ['id' => 'theme_code']);
    }

    /**
     * @inheritdoc
     * @return \common\models\query\ThemeFilesQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \common\models\query\ThemeFilesQuery(get_called_class());
    }
}
